Technical FAQs

Ask a Question

APC KVM Switch Compatibility (AP5610, AP5615, AP5616 or KVM1116P, KVM2116P, KVM2132P and KVM Access) with Java 7, Update 51 and higher


Issue

APC's Rack IP/Digital KVM Switch models rely on a Java viewer for browser access.

Upon upgrading Java 7, Update 51, the Java client/viewer (accessible via the web browser) for KVM1116P, KVM2116P, and KVM2132P KVM switches will not launch successfully. "Unable to launch the application" may appear or a similar security warning.
 

Prior to upgrading to Java 7, Update 51, the following message may have been received on KVM1116P, KVM2116P, or KVM2132P:
 
This application will be blocked in a future Java security update because the JAR file manifest does not contain the Permissions attribute. Please contact the Publisher for more Information.




On AP5610, AP5615, or AP5616, the following message may also be received:
 



Lastly, KVM Access Software v1.0.085 for Windows or Linux is not Java 7 compatible. Java 32 bit works best in general. The user may receive an error message similar to below:
 



Product Line
 
  • Rack Accessories - KVM Switches
    • KVM1116P
    • KVM2116P
    • KVM2132P
    • KVM Access Software
    • AP5610 (discontinued)
    • AP5615 (discontinued)
    • AP5616 (discontinued)



Environment
  • Java 7, Update 51 and higher on client computer using to access the KVM Switch via a web browser
    • Note: Excludes Java 8
  • KVM1116P, KVM2116P, KVM2132P - firmware v1.0.081 or older
  • KVM Access Software v1.0.085
  • AP5610, AP5615, AP5616 - all firmware versions


Cause

Starting with Java 7 Update 51, Java has enhanced security model to make user system less vulnerable to the external exploits. The new version of Java does not allow users to run the applications that are not signed (Unsigned), Self signed (not signed by trusted authority), and the applications that are missing permission attributes.



Resolution

Update: The web browser Java client within KVM1116P, KVM2116P, and KVM2132P has been updated within a firmware upgrade to work properly. v1.0.086 is available for KVM2132P/KVM2116P Enterprise IP KVMs and v1.0.088 is available for KVM1116P SMB IP KVM. Please find them attached to this knowledge base below. For KVM Access Software, v1.1.102-02 setup and upgrade files are available and also attached to this knowledge base. 

Note: KVM Access Software v1.1.102 does not work properly with Java 8. As an interim solution if the user is using Java 8 on their operating system, you can downgrade it to Java 7, then install the KVM Access Software. After successfully installing the KVM Access Software, the user can upgrade to Java 8 again and the software will run with Java 8.

KVM1116P, KVM2116P, KVM2132P only: The downloadable Java Client AP does not experience this problem. This is an alternative which will allow a user to access the KVM Switch remotely outside of a web browser. Within the web interface of the KVM, select the Download -> Java Client AP and save it to your local machine.

All KVM models: As a workaround prior to or in place of a KVM firmware upgrade, the user can use Exception Site list feature within Java to run the applications blocked by security settings. By adding the URL of the blocked application to the Exception Site list, it allows the application to run with some warnings.

For more information on this workaround, please visit this link: http://www.java.com/en/download/help/java_blocked.xml

AP5610, AP5615, and AP5616 have been discontinued since late 2008 and will not have any future firmware upgrades available.


 
Was this helpful?
What can we do to improve the information ?